//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Atomized elements describing the growth conditions of the culture unit.
 * 
 * <p>Java class for GrowthConditionAtomized complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GrowthConditionAtomized"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="CultureMedium" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Aerobicity" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Temperature" type="{http://www.tdwg.org/schemas/abcd/3.0}Temperature" minOccurs="0"/&gt;
 *         &lt;element name="References" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Reference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="GrowthConditionsMeasurementsOrFacts" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="GrowthConditionsMeasurementOrFact" type="{http://www.tdwg.org/schemas/abcd/3.0}MeasurementOrFact" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GrowthConditionAtomized", propOrder = {
    "cultureMedium",
    "aerobicity",
    "temperature",
    "references",
    "growthConditionsMeasurementsOrFacts"
})
public class GrowthConditionAtomized {

    @XmlElement(name = "CultureMedium")
    protected StringL cultureMedium;
    @XmlElement(name = "Aerobicity")
    protected StringL aerobicity;
    @XmlElement(name = "Temperature")
    protected Temperature temperature;
    @XmlElement(name = "References")
    protected GrowthConditionAtomized.References references;
    @XmlElement(name = "GrowthConditionsMeasurementsOrFacts")
    protected GrowthConditionAtomized.GrowthConditionsMeasurementsOrFacts growthConditionsMeasurementsOrFacts;

    /**
     * Gets the value of the cultureMedium property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getCultureMedium() {
        return cultureMedium;
    }

    /**
     * Sets the value of the cultureMedium property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setCultureMedium(StringL value) {
        this.cultureMedium = value;
    }

    /**
     * Gets the value of the aerobicity property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getAerobicity() {
        return aerobicity;
    }

    /**
     * Sets the value of the aerobicity property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setAerobicity(StringL value) {
        this.aerobicity = value;
    }

    /**
     * Gets the value of the temperature property.
     * 
     * @return
     *     possible object is
     *     {@link Temperature }
     *     
     */
    public Temperature getTemperature() {
        return temperature;
    }

    /**
     * Sets the value of the temperature property.
     * 
     * @param value
     *     allowed object is
     *     {@link Temperature }
     *     
     */
    public void setTemperature(Temperature value) {
        this.temperature = value;
    }

    /**
     * Gets the value of the references property.
     * 
     * @return
     *     possible object is
     *     {@link GrowthConditionAtomized.References }
     *     
     */
    public GrowthConditionAtomized.References getReferences() {
        return references;
    }

    /**
     * Sets the value of the references property.
     * 
     * @param value
     *     allowed object is
     *     {@link GrowthConditionAtomized.References }
     *     
     */
    public void setReferences(GrowthConditionAtomized.References value) {
        this.references = value;
    }

    /**
     * Gets the value of the growthConditionsMeasurementsOrFacts property.
     * 
     * @return
     *     possible object is
     *     {@link GrowthConditionAtomized.GrowthConditionsMeasurementsOrFacts }
     *     
     */
    public GrowthConditionAtomized.GrowthConditionsMeasurementsOrFacts getGrowthConditionsMeasurementsOrFacts() {
        return growthConditionsMeasurementsOrFacts;
    }

    /**
     * Sets the value of the growthConditionsMeasurementsOrFacts property.
     * 
     * @param value
     *     allowed object is
     *     {@link GrowthConditionAtomized.GrowthConditionsMeasurementsOrFacts }
     *     
     */
    public void setGrowthConditionsMeasurementsOrFacts(GrowthConditionAtomized.GrowthConditionsMeasurementsOrFacts value) {
        this.growthConditionsMeasurementsOrFacts = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="GrowthConditionsMeasurementOrFact" type="{http://www.tdwg.org/schemas/abcd/3.0}MeasurementOrFact" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "growthConditionsMeasurementOrFact"
    })
    public static class GrowthConditionsMeasurementsOrFacts {

        @XmlElement(name = "GrowthConditionsMeasurementOrFact", required = true)
        protected List<MeasurementOrFact> growthConditionsMeasurementOrFact;

        /**
         * Gets the value of the growthConditionsMeasurementOrFact property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the growthConditionsMeasurementOrFact property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getGrowthConditionsMeasurementOrFact().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link MeasurementOrFact }
         * 
         * 
         */
        public List<MeasurementOrFact> getGrowthConditionsMeasurementOrFact() {
            if (growthConditionsMeasurementOrFact == null) {
                growthConditionsMeasurementOrFact = new ArrayList<MeasurementOrFact>();
            }
            return this.growthConditionsMeasurementOrFact;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Reference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "reference"
    })
    public static class References {

        @XmlElement(name = "Reference", required = true)
        protected List<Reference> reference;

        /**
         * Gets the value of the reference property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the reference property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getReference().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Reference }
         * 
         * 
         */
        public List<Reference> getReference() {
            if (reference == null) {
                reference = new ArrayList<Reference>();
            }
            return this.reference;
        }

    }

}
